List approvals
curl --request GET \
--url https://app.kosli.com/api/v2/approvals/{org}/{flow_name} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.kosli.com/api/v2/approvals/{org}/{flow_name}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.kosli.com/api/v2/approvals/{org}/{flow_name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"approvals": [
{
"approval_url": "undefined",
"approved_by": "external://External",
"comment": "",
"state": "APPROVED",
"timestamp": 1756281574.9707942
}
],
"artifact_name": "a.really.long/name/mimicing/docker@sha256:0fcd25440a99c80ac8df15ca3c5df095a791e7b01fbcb2ac60e9994f1c1e8f4d",
"base_artifact": "5e2ec37f5b16b662e197a7de71173aac545437f5dab6d0ce452f71dd472a77b2",
"created_at": 1756281574.9707942,
"description": "",
"environment": "staging",
"last_modified_at": 1756281574.9707942,
"release_number": 1,
"src_commit_list": [
"2d04c96662d0190af44f1cba91d3c6028d8392bc",
"e412ad6f7ea530ee9b83df964a0dde2b477be729"
],
"state": "APPROVED",
"target_artifact": "5e2ec37f5b16b662e197a7de71173aac545437f5dab6d0ce452f71dd472a77b2",
"user_data": {}
}
]List approvals
List Allowlist records in an organization.
GET
/
approvals
/
{org}
/
{flow_name}
List approvals
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The page number of response
How many results to return per page of response
Response
200 - application/json
Successful Response
The approval number
The base artifact fingerprint
The name/identifier of the artifact
The target artifact fingerprint
Description for the approval
List of commits with their artifact fingerprints
Pattern:
^[a-f0-9]{40}$Timestamp when the approval was created
Timestamp when the approval was last modified
Overall approval state
Available options:
APPROVED, UNAPPROVED, PENDING List of individual approvals
Show child attributes
Show child attributes
Environment the approval is valid for
Additional user data
Last modified on June 18, 2026